<app-loading *ngIf="loading"></app-loading>
<div class="content-header">
  <div>
    <mb-button *ngIf='objFunction?.approve'  mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.approve' | translate}}"
                (click)="waitingAproved()"
               mbButtonType="NO_BORDER"  mbButtonAvailableStyle="BtnCancelHasBorder">
    </mb-button>
    <mb-button *ngIf='objFunction?.approve'mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.approveAll' | translate}}"
                (click)="approveAll()"
               mbButtonType="NO_BORDER" mbButtonAvailableStyle="PRIMARY">
    </mb-button>
    <mb-button *ngIf='objFunction?.approve' mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.reject' | translate}}"
                (click)="reject()"
               mbButtonType="NO_BORDER" mbButtonAvailableStyle='GRAY'>
    </mb-button>
  </div>
</div>

<div class="org-content-main">
  <div nz-row [nzGutter]="24">
    <div nz-col [nzSpan]="6">
      <hcm-mfe-employee-data-search-policy [mbCanText]="true" [ngModel]="" [ngModelOptions]="{standalone: true}"
                            [multiple]="false" (selectedChange)="onChange($event)" [mbDisable]="false" [functionCode]="functionCode"
                            mbLabelText="{{'polManagement.label.employeeCode' | translate}}">
      </hcm-mfe-employee-data-search-policy>
    </div>
    <!-- <div nz-col [nzSpan]="6">
      <mb-input-text [ngModel]="fullName" mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.fullName' | translate }}"></mb-input-text>
    </div> -->

    <div nz-col [nzSpan]="6">
      <mb-input-text [(ngModel)]="orgName" mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbReadOnly]="true"
                     mbLabelText="{{ 'polManagement.label.org' | translate }}" (click)="showPopup()"
                     mbPlaceholderText="{{ 'polManagement.placeHoder.chooseUnit' | translate }}"></mb-input-text>
      <em
        *ngIf="orgName"
        nz-icon
        class="icon-close"
        (click)="clearOrgInput()"
        nzType="close-circle"
        nzTheme="outline"
      ></em>
    </div>

    <div nz-col [nzSpan]="6">
      <mb-select [mbDataSelects]="listPeriod" mbKeyLabel="value" mbKeyValue="value"
                 [(ngModel)]="objectSearch.periodDate" mbPlaceholder="mm/yyyy"
                 mbLabelText="{{'polManagement.label.periodDate' | translate}}"></mb-select>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left" >
      <mb-select [mbDataSelects]="listTypeBonus" mbKeyLabel="value" mbKeyValue="key"
                 [(ngModel)]="objectSearch.isSpecial" [mbType]="'default'"
                 mbPlaceholder="{{ 'polManagement.placeHoder.chooseType' | translate }}"
                 mbLabelText="{{'polManagement.label.typeBonus' | translate}}"></mb-select>
    </div>

  </div>

  <div nz-row>
    <div class="org-content-main__search" nz-col [nzSpan]="24">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="onSearch()"
                 mbButtonText="{{'common.button.search' | translate}}">
      </mb-button>
    </div>
  </div>
</div>
<div class="mb-tab">
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]='false'>
    <mb-table [heightTable]="heightTable" [isUseTitle]='true'
              [tableConfig]='tableConfig' [tableData]='dataTable' [checkedCashArrayFromComment]="checked"></mb-table>
  </mb-table-wrap>
</div>

<ng-template #flagStatusTmpl let-flagStatus='flagStatus'>
  <div class="display-center">
    <nz-tag [nzColor]="renderFlagStatus(flagStatus).class">
      {{renderFlagStatus(flagStatus).text}}
    </nz-tag>
  </div>
</ng-template>

<ng-template #commentTmpl let-comment='comment' let-commentSelect='commentSelect' let-error='error'>
  <pol-checkbox-select-input [listComment]="comment" [error]="error"
                             [listCommentSelect]="commentSelect"></pol-checkbox-select-input>
</ng-template>

